//==================================================================
// Licensed Materials - Property of IBM
// (c) Copyright IBM Corp. 2003.  All rights reserved.
//
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM
// Corp.
//
// DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
// sample code created by IBM Corporation.  This sample code is
// not part of any standard or IBM product and is provided to you
// solely for the purpose of assisting you in the development of
// your applications.  The code is provided "AS IS", without
// warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have
// been advised of the possibility of such damages.
//==================================================================
//------------------------------------------------
// Javascript Alert and Confirm Messages			|
//------------------------------------------------
// Note: messages with arguments does not support multiple entries with same number.
// This means that if in one message, there are two {0}, only the first one will get replaced.
// Therefore please make sure to assign no duplicate number within one message.

//binder.js
var error_on_propertybinder = "Erro na liga\u00e7\u00e3o de propriedade {0}: {1}";
var invalid_value_OnPropertyBinderChange = "Valor inv\u00e1lido {0} para o tipo {1}";

//eclass.js
var unable_create_object = "N\u00e3o foi poss\u00edvel criar eobject sem o modelo.";
var name_notexist_model = "{0} n\u00e3o existe no modelo para a classe {1}.";
var invalid_value_4type = "Valor inv\u00e1lido {0} para o tipo {1}.";
var maximum_size_allowed_attribute = "O tamanho m\u00e1ximo permitido \u00e9 {0} para o atributo {1}";
var minimum_size_allowed_attribute = "O tamanho m\u00ednimo permitido \u00e9 {0} para o atributo {1}";
var maximum_size_allowed_reference = "O tamanho m\u00e1ximo permitido \u00e9 {0} para a refer\u00eancia {1}";
var minimum_size_allowed_reference = "O tamanho m\u00ednimo permitido \u00e9 {0} para a refer\u00eancia {1}";

//eobject.js
var invalid_argument="Argumento inv\u00e1lido.";
var xml_parse_error = "Erro Xml na Linha: {0} Pos: {1} \nOrigem: {2} \nRaz\u00e3o: {3}";
var missing_model = "Modelo ausente.";
var reference_missing_inmodel = "A refer\u00eancia {0} para a classe {1} est\u00e1 ausente no modelo.";
var not_a_reference = "{0} n\u00e3o \u00e9 uma refer\u00eancia para a classe {1}.";
var member_missing_inmodel = "O membro {0} para a classe {1} est\u00e1 ausente no modelo.";
var member_not_eatt_or_eref_inmodel = "O membro {0} para a classe {1} n\u00e3o \u00e9 um eattribute ou um ereference no modelo.";
var member__inmodel = "O membro {0} para a classe {1} n\u00e3o \u00e9 um eattribute ou um ereference no modelo.";
var reference_not_class = "A refer\u00eancia {0} para a classe {1} n\u00e3o \u00e9 uma classe.";
var attribute_not_multivalue_inmodel = "O atributo {1} na classe {2} n\u00e3o permite multi-valores. ";
var class_missing_inmodel = "{0} para a classe {1} est\u00e1 ausente no modelo."
var attributecalculate_missing_indata = "O c\u00e1lculo de atributo {0} n\u00e3o deve existir nos dados.";
var unable_create_object = "N\u00e3o foi poss\u00edvel criar eobject para a propriedade {0} sem o modelo.";
var invalid_property = "Propriedade Inv\u00e1lida {0}";
var invalid_expression = "Express\u00e3o inv\u00e1lida: {0}.{1}.";
var property_cant_change = "A propriedade {0} \u00e9 um atributo calculado ou um atributo de leitura que n\u00e3o pode ser alterado."
var root_member_name_missing_error = "O nome do membro raiz para o gr\u00e1fico transverso est\u00e1 faltando";
var ecore_namespace_missing_error = "O espa\u00e7o de nomes Ecore para gerar um diffgram est\u00e1  faltando";
var ereference_list_as_key_error ="A refer\u00eancia {0} para a classe {1} possui uma cardinalidade maior que 1 e n\u00e3o \u00e9 permitida a utiliza\u00e7\u00e3o como parte de uma chave. ";
var multivalue_attr_as_key_error ="O atributo {0} para a classe {1} possui uma cardinalidade maior que 1 e n\u00e3o \u00e9 permitida a utiliza\u00e7\u00e3o como parte de uma chave. ";


//ecreator.js
var unable_create_reference_nomodel = "N\u00e3o foi poss\u00edvel incluir ereferences sem o  modelo.";
var unable_create_reference_noreference = "N\u00e3o foi poss\u00edvel incluir ereferences sem as informa\u00e7\u00f5es de refer\u00eancia.";
var add_attribute_2nullclass = "Tentando incluir Atributos a um eclass nulo.";
var no_attribute_supply = "Tentando incluir Atributo a um eclass '{0}', mas nenhum atributo est\u00e1 sendo fornecido.";
var add_reference_2nullclass = "Tentando incluir ereferences a um eclass nulo.";
var mismatch_reference_length = "O eclass '{0}' define {1} refer\u00eancias, mas apenas {2} foram transmitidas.";


//datagridcontrol.js
var error_datagrid_action = "Erro na a\u00e7\u00e3o datagrid {0}: {1}";
var label_delete = "Excluir";
var label_add_newrow = "Incluir nova linha...";
var label_previous = "<";
var label_next = ">";
var label_accept = "Aceitar";
var label_cancel = "Cancelar";
var label_symbol = "s\u00edmbolo";
var action_datagrid_addrow = "incluindo linha";
var action_datagrid_removerow = "removendo linha";
var action_datagrid_buildrow = "construindo linha";
var selectColName = "Selecione";
var odcDGImgPrevious = "clique para ir \u00e0 p\u00e1gina anterior";
var odcDGImgFirst = "clique para ir \u00e0 primeira p\u00e1gina ";
var odcDGImgNext = "clique em ir para a pr\u00f3xima p\u00e1gina";
var odcDGImgLast = "clique para ir \u00e0 \u00faltima p\u00e1gina ";
var odcDGImgGo = "clique para ir \u00e0 p\u00e1gina especificada ";
var odcDGSkipToMainContent = "ir para a p\u00e1gina principal ";
var odcDGAscending = "classifica\u00e7\u00e3o ascendente";
var odcDGDescending = "classifica\u00e7\u00e3o decrescente";
var odcDGNavigationPage = " P\u00e1gina {0} de {1} ";
var odcDGNavigationJump = "Pular para a p\u00e1gina: ";
var invalid_filter_expression = "A express\u00e3o especificada {0} \u00e9 inv\u00e1lida, mensagem de erro {1}";
var odcdgindexhead = "N\u00famero da Linha";
var odcDGSelection = "Sele\u00e7\u00e3o";
var odcDGImgSelectAll = "Selecionar Tudo";
var odcDGImgUnSelectAll = "Desmarcar Tudo";
var odcDGImgAddRow = "Inclua uma nova linha";
var odcDGImgDelRow = "Exclua uma linha";
var odcDGImgAcceptRow = "Aceitar";
var odcDGImgCancelRow = "Cancelar";


var action_obfcontrolrender_errormsg = "Este controle n\u00e3o est\u00e1 ligado a nenhum modelo de dados do lado cliente \nou o modelo de dados do lado cliente \u00e9 nulo.";


//currency.js
var add_mismatch_currencycode = "Exce\u00e7\u00e3o: adicionando quantidades com moedas diferentes. O primeiro c\u00f3digo de moeda: {0} \u00e9 diferente do segundo c\u00f3digo de moeda: {1}";
var subtract_mismatch_currencycode = "Exce\u00e7\u00e3o: subtraindo quantidades com moedas diferentes. O primeiro c\u00f3digo de moeda: {0} \u00e9 diferente do segundo c\u00f3digo de moeda: {1}";

//NLSService.js
var invalid_date_format = "N\u00e3o h\u00e1 informa\u00e7\u00f5es dispon\u00edveis sobre o formato de data.";
var invalid_date = "A data {0} n\u00e3o \u00e9 uma data v\u00e1lida, com base no formato escolhido: {1}";
var invalid_time_format = "N\u00e3o h\u00e1 informa\u00e7\u00f5es dispon\u00edveis sobre o formato de hora.";
var invalid_time = "A hora {0} n\u00e3o \u00e9 uma hora v\u00e1lida, com base no formato escolhido: {1}";

//tabbedpanelcontrol.js
var label_tab_previous = "< Voltar";
var label_tab_next = "Avan\u00e7ar >";
var label_tab_cancel = "Cancelar";
var label_tab_finish = "Finalizar";

//detectBrowser.js
var browser_not_support = "O navegador {0} que voc\u00ea est\u00e1 utilizando n\u00e3o \u00e9 suportado neste aplicativo.";

//treeControl.js
var odcTreeimgExpand = "Clique para expandir";
var odcTreeimgCollapse = "Clique para reduzir";
var odcTreeimgFolderOpen = "Pasta aberta";
var odcTreeimgFolderNormal = "Pasta fechada";
var odcTreeimgLeaf = "Pasta:";
var odcTreeNoChildErr = "Este n\u00f3 n\u00e3o tem filhos dispon\u00edveis.";

//chart draw variables
var chartdraw_lblPie = "Torta";
var chartdraw_lblBar = "Barra";
var chartdraw_lblLine = "Lin.";
var chartdraw_tooltipShare = "Compartilhar";
var chartdraw_tooltipSeries = "S\u00e9rie";
var chartdraw_tooltipLabel = "Etiqueta";
var chartdraw_tooltipValue = "Valor";
var chartdraw_msgPieChartError = "O gr\u00e1fico de torta n\u00e3o pode ser desenhado.";
var chartdraw_lblShowAll = "Mostre Todas as S\u00e9ries";
var chartdraw_lblChartType = "Tipo de Gr\u00e1fico";
var chartdraw_lblSeries = "S\u00e9rie";
var no_data_series = "Nenhuma s\u00e9rie de dados especificada. Inclua ao menos uma s\u00e9rie de dados ao gr\u00e1fico. ";
var no_data_atttribute = "Nenhum nome de atributo de dados especificado para s\u00e9rie - {0}. \nSelecione um atributo de dados v\u00e1lido para esta s\u00e9rie. ";
var no_label_attribute = "Nenhum atributo de etiqueta especificado. \n Selecione um atributo de etiqueta v\u00e1lido. ";
var no_group_operation_specified= "Nenhuma opera\u00e7\u00e3o em grupo especificada para s\u00e9rie : \n{0}.";
var invalid_group_operation = "Opera\u00e7\u00e3o em grupo inv\u00e1lida - {1} - especificada para s\u00e9rie - {0}. \nOpera\u00e7\u00f5es em grupo permitidas s\u00e3o - SUM, AVG, COUNT, MAX, MIN, FIRST, LAST.";
var invalid_label_attribute = "Atributo de etiqueta inv\u00e1lido. \nSelecione um atributo de etiqueta v\u00e1lido. ";
var invalid_data_atttribute = "Nome de atributo de dados especificado para s\u00e9rie inv\u00e1lido - {0}. \nSelecione um atributo de dados v\u00e1lido para esta s\u00e9rie. ";
var invalid_series_attribute_data_type = "Tipo de dados inv\u00e1lido especificado para o nome de atributo em s\u00e9rie - {0}. \nO gr\u00e1fico s\u00f3 pode ser impresso se os valores de atributos forem n\u00fameros ou datas.";
var null_data_value = "S\u00e9ries - {0}. cont\u00e9m valores nulos. \nO gr\u00e1fico s\u00f3 pode ser impresso se os valores de atributo n\u00e3o contiverem nenhum valor nulo.";
var thousands_str = "milhares";
var thousands10_str = "d\u00e9cimo de milhares";
var thousands100_str = "cent\u00e9simo de milhares";
var millions_str = "milh\u00f5es";
var millions10_str = "d\u00e9cimo de milh\u00f5es";
var millions100_str = "cent\u00e9simo de milh\u00f5es";
var billions_str = "bilh\u00f5es";
var billions10_str = "d\u00e9cimo de bilh\u00f5es";
var billions100_str = "cent\u00e9simo de bilh\u00f5es";

/***** PLEASE DO NOT TRANSLATE THIS -- START *****************/
var Scales = new Array();
Scales = [[100000000000.0, billions100_str] , [10000000000.0, billions10_str] , [1000000000.0, billions_str] , [100000000.0, millions100_str] , [10000000.0, millions10_str],  [1000000.0, millions_str],  [100000.0, thousands100_str] , [10000.0, thousands10_str] , [1000.0, thousands_str] ];
/***** PLEASE DO NOT TRANSLATE THIS -- END ********************/



//mask error variable
var mask_not_matched = "O comprimento/conte\u00fado da cadeia n\u00e3o corresponde \u00e0 m\u00e1scara aplicada a ela";

//webservice
var error_mapping_output = "A express\u00e3o de mapeamento do par\u00e2metro de sa\u00edda especificado \u00e9 inv\u00e1lida";
var no_flash_component = "N\u00e3o foi poss\u00edvel localizar o flash player requerido";
var error_mapping_input = "A express\u00e3o de mapeamento do par\u00e2metro de entrada especificado \u00e9 inv\u00e1lida";
var error_accessing_flash = "N\u00e3o foi poss\u00edvel localizar o flash player requerido";

//progressbar
var start_load_model = "Iniciar carregamento do modelo de dados {0}";
var end_load_model = "Finalizar carregamento do modelo de dados {0}";
var start_load_instance = "Iniciar carregamento de dados da inst\u00e2ncia para modelo {0}";
var end_load_instance = "Finalizar carregamento de dados da inst\u00e2ncia para modelo {0}";
var start_render_control = "Iniciar controle de execu\u00e7\u00e3o {0}";
var end_render_control = "Finalizar controle de execu\u00e7\u00e3o {0}";
var status_string =  "Status : ";
var progressbar_header = "Carregando P\u00e1gina";
var tabbed_panel = "Painel Tabulado";
var datagrid = "Grade de Dados";
var webservice = "Servi\u00e7o da Web";
var treeview = "Visualiza\u00e7\u00e3o em \u00c1rvore";
var graphdraw = "Esbo\u00e7o do Gr\u00e1fico";
