//==================================================================
// Licensed Materials - Property of IBM
// (c) Copyright IBM Corp. 2003.  All rights reserved.
//
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with IBM
// Corp.
//
// DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
// sample code created by IBM Corporation.  This sample code is
// not part of any standard or IBM product and is provided to you
// solely for the purpose of assisting you in the development of
// your applications.  The code is provided "AS IS", without
// warranty of any kind.  IBM shall not be liable for any damages
// arising out of your use of the sample code, even if they have
// been advised of the possibility of such damages.
//==================================================================
//------------------------------------------------
// Javascript Alert and Confirm Messages			|
//------------------------------------------------
// Note: messages with arguments does not support multiple entries with same number.
// This means that if in one message, there are two {0}, only the first one will get replaced.
// Therefore please make sure to assign no duplicate number within one message.

//binder.js
var error_on_propertybinder = "\u5c5e\u6027\u7ed1\u5b9a\u7a0b\u5e8f {0} \u4e0a\u7684\u9519\u8bef\uff1a{1}";
var invalid_value_OnPropertyBinderChange = "\u7c7b\u578b {1} \u7684\u65e0\u6548\u503c {0}";

//eclass.js
var unable_create_object = "\u6ca1\u6709\u6a21\u578b\u65e0\u6cd5\u521b\u5efa eobject\u3002";
var name_notexist_model = "\u6a21\u578b\u4e2d\u4e0d\u5b58\u5728\u7c7b {1} \u7684 {0}\u3002";
var invalid_value_4type = "\u7c7b\u578b {1} \u7684\u65e0\u6548\u503c {0}\u3002";
var maximum_size_allowed_attribute = "\u5c5e\u6027 {1} \u7684\u5141\u8bb8\u7684\u6700\u5927\u5927\u5c0f\u662f {0}";
var minimum_size_allowed_attribute = "\u5c5e\u6027 {1} \u7684\u5141\u8bb8\u7684\u6700\u5c0f\u5927\u5c0f\u662f {0}";
var maximum_size_allowed_reference = "\u5f15\u7528 {1} \u7684\u5141\u8bb8\u7684\u6700\u5927\u5927\u5c0f\u662f {0}";
var minimum_size_allowed_reference = "\u5f15\u7528 {1} \u7684\u5141\u8bb8\u7684\u6700\u5c0f\u5927\u5c0f\u662f {0}";

//eobject.js
var invalid_argument="\u65e0\u6548\u81ea\u53d8\u91cf\u3002";
var xml_parse_error = "Xml \u9519\u8bef\uff0c\u4f4d\u4e8e\u884c\uff1a{0} \u4f4d\u7f6e\uff1a{1} \n\u6e90\uff1a{2} \n\u539f\u56e0\uff1a{3}";
var missing_model = "\u7f3a\u5c11\u6a21\u578b\u3002";
var reference_missing_inmodel = "\u6a21\u578b\u4e2d\u7f3a\u5c11\u7c7b {1} \u7684\u5f15\u7528 {0}\u3002";
var not_a_reference = "{0} \u4e0d\u662f\u7c7b {1} \u7684\u5f15\u7528\u3002";
var member_missing_inmodel = "\u6a21\u578b\u4e2d\u7f3a\u5c11\u7c7b {1} \u7684\u6210\u5458 {0}\u3002";
var member_not_eatt_or_eref_inmodel = "\u7c7b {1} \u7684\u6210\u5458 {0} \u5728\u6a21\u578b\u4e2d\u65e2\u4e0d\u662f eattribute \u4e5f\u4e0d\u662f ereference\u3002";
var member__inmodel = "\u7c7b {1} \u7684\u6210\u5458 {0} \u5728\u6a21\u578b\u4e2d\u65e2\u4e0d\u662f eattribute \u4e5f\u4e0d\u662f ereference\u3002";
var reference_not_class = "\u7c7b {1} \u7684\u5f15\u7528 {0} \u4e0d\u662f\u7c7b\u3002";
var attribute_not_multivalue_inmodel = "\u7c7b {2} \u4e2d\u7684\u5c5e\u6027 {1} \u4e0d\u5141\u8bb8\u5177\u6709\u591a\u4e2a\u503c\u3002";
var class_missing_inmodel = "\u6a21\u578b\u4e2d\u7f3a\u5c11\u7c7b {1} \u7684 {0}\u3002"
var attributecalculate_missing_indata = "\u6570\u636e\u4e2d\u4e0d\u80fd\u5b58\u5728\u5c5e\u6027\u8ba1\u7b97 {0}\u3002";
var unable_create_object = "\u6ca1\u6709\u6a21\u578b\u65e0\u6cd5\u521b\u5efa\u5c5e\u6027 {0} \u7684 eobject\u3002";
var invalid_property = "\u65e0\u6548\u5c5e\u6027 {0}";
var invalid_expression = "\u65e0\u6548\u8868\u8fbe\u5f0f\uff1a{0}.{1}\u3002";
var property_cant_change = "\u5c5e\u6027 {0} \u662f\u8ba1\u7b97\u5f97\u6765\u7684\u5c5e\u6027\u6216\u53ea\u8bfb\u5c5e\u6027\uff0c\u4e0d\u80fd\u66f4\u6539\u3002"
var root_member_name_missing_error = "\u7f3a\u5c11\u904d\u5386\u56fe\u7684\u6839\u6210\u5458\u540d";
var ecore_namespace_missing_error = "\u7f3a\u5c11\u751f\u6210 diffgram \u7684 Ecore \u540d\u79f0\u7a7a\u95f4";
var ereference_list_as_key_error ="\u7c7b {1} \u7684\u5f15\u7528 {0} \u7684\u57fa\u6570\u5927\u4e8e 1\uff0c\u5e76\u4e14\u4e0d\u5141\u8bb8\u5c06\u5b83\u7528\u4f5c\u952e\u7684\u4e00\u90e8\u5206\u3002";
var multivalue_attr_as_key_error ="\u7c7b {1} \u7684\u5c5e\u6027 {0} \u7684\u57fa\u6570\u5927\u4e8e 1\uff0c\u5e76\u4e14\u4e0d\u5141\u8bb8\u5c06\u5b83\u7528\u4f5c\u952e\u7684\u4e00\u90e8\u5206\u3002";


//ecreator.js
var unable_create_reference_nomodel = "\u6ca1\u6709\u6a21\u578b\u65e0\u6cd5\u6dfb\u52a0 ereference\u3002";
var unable_create_reference_noreference = "\u6ca1\u6709\u5f15\u7528\u4fe1\u606f\u65e0\u6cd5\u6dfb\u52a0 ereference\u3002";
var add_attribute_2nullclass = "\u5c1d\u8bd5\u5c06\u5c5e\u6027\u6dfb\u52a0\u81f3\u7a7a eclass\u3002";
var no_attribute_supply = "\u5c1d\u8bd5\u5c06\u5c5e\u6027\u6dfb\u52a0\u81f3 eclass\u201c{0}\u201d\uff0c\u4f46\u672a\u63d0\u4f9b\u5c5e\u6027\u3002";
var add_reference_2nullclass = "\u5c1d\u8bd5\u5c06 ereference \u6dfb\u52a0\u81f3\u7a7a eclass\u3002";
var mismatch_reference_length = "eclass\u201c{0}\u201d\u5b9a\u4e49 {1} \u5f15\u7528\uff0c\u4f46\u4ec5\u4f20\u9012\u4e86 {2}\u3002";


//datagridcontrol.js
var error_datagrid_action = "datagrid \u64cd\u4f5c {0} \u9519\u8bef\uff1a{1}";
var label_delete = "\u5220\u9664";
var label_add_newrow = "\u6dfb\u52a0\u65b0\u884c...";
var label_previous = "<";
var label_next = ">";
var label_accept = "\u63a5\u53d7";
var label_cancel = "\u53d6\u6d88";
var label_symbol = "\u7b26\u53f7";
var action_datagrid_addrow = "\u6dfb\u52a0\u884c";
var action_datagrid_removerow = "\u9664\u53bb\u884c";
var action_datagrid_buildrow = "\u6784\u5efa\u884c";
var selectColName = "\u9009\u62e9";
var odcDGImgPrevious = "\u5355\u51fb\u4ee5\u8f6c\u81f3\u4e0a\u4e00\u9875";
var odcDGImgFirst = "\u5355\u51fb\u4ee5\u8f6c\u81f3\u7b2c\u4e00\u9875";
var odcDGImgNext = "\u5355\u51fb\u4ee5\u8f6c\u81f3\u4e0b\u4e00\u9875";
var odcDGImgLast = "\u5355\u51fb\u4ee5\u8f6c\u81f3\u6700\u540e\u4e00\u9875";
var odcDGImgGo = "\u5355\u51fb\u4ee5\u8f6c\u81f3\u6307\u5b9a\u9875";
var odcDGSkipToMainContent = "\u8df3\u81f3\u4e3b\u5185\u5bb9";
var odcDGAscending = "\u5347\u5e8f\u6392\u5e8f";
var odcDGDescending = "\u964d\u5e8f\u6392\u5e8f";
var odcDGNavigationPage = "\u7b2c {0} \u9875\uff08\u5171 {1} \u9875\uff09";
var odcDGNavigationJump = " \u8df3\u81f3\u9875\uff1a";
var invalid_filter_expression = "\u6307\u5b9a\u7684\u8868\u8fbe\u5f0f {0} \u65e0\u6548\uff0c\u9519\u8bef\u6d88\u606f\u662f {1}";
var odcdgindexhead = "\u884c\u53f7";
var odcDGSelection = "\u9009\u62e9";
var odcDGImgSelectAll = "\u5168\u90e8\u9009\u62e9";
var odcDGImgUnSelectAll = "\u5168\u90e8\u4e0d\u9009";
var odcDGImgAddRow = "\u6dfb\u52a0\u65b0\u884c";
var odcDGImgDelRow = "\u5220\u9664\u884c";
var odcDGImgAcceptRow = "\u63a5\u53d7";
var odcDGImgCancelRow = "\u53d6\u6d88";


var action_obfcontrolrender_errormsg = "\u6b64\u63a7\u4ef6\u6ca1\u6709\u7ed1\u5b9a\u5230\u4efb\u4f55\u5ba2\u6237\u7aef\u6570\u636e\u6a21\u578b\n\u6216\u8005\u8be5\u5ba2\u6237\u7aef\u6570\u636e\u6a21\u578b\u662f\u7a7a\u7684\u3002";


//currency.js
var add_mismatch_currencycode = "\u5f02\u5e38\uff1a\u7528\u4e0d\u540c\u8d27\u5e01\u6dfb\u52a0\u91d1\u989d\u3002\u7b2c\u4e00\u4e2a\u8d27\u5e01\u4ee3\u7801 {0} \u4e0e\u7b2c\u4e8c\u4e2a\u8d27\u5e01\u4ee3\u7801 {1} \u4e0d\u540c";
var subtract_mismatch_currencycode = "\u5f02\u5e38\uff1a\u4f7f\u7528\u4e0d\u540c\u8d27\u5e01\u6263\u9664\u91d1\u989d\u3002\u7b2c\u4e00\u4e2a\u8d27\u5e01\u4ee3\u7801 {0} \u4e0e\u7b2c\u4e8c\u4e2a\u8d27\u5e01\u4ee3\u7801 {1} \u4e0d\u540c";

//NLSService.js
var invalid_date_format = "\u6ca1\u6709\u53ef\u7528\u7684\u65e5\u671f\u683c\u5f0f\u4fe1\u606f\u3002";
var invalid_date = "\u6839\u636e\u60a8\u9009\u62e9\u7684\u683c\u5f0f\uff1a{1}\uff0c\u65e5\u671f {0} \u4e0d\u662f\u6709\u6548\u65e5\u671f";
var invalid_time_format = "\u6ca1\u6709\u53ef\u7528\u7684\u65f6\u95f4\u683c\u5f0f\u4fe1\u606f\u3002";
var invalid_time = "\u6839\u636e\u60a8\u9009\u62e9\u7684\u683c\u5f0f\uff1a{1}\uff0c\u65f6\u95f4 {0} \u4e0d\u662f\u6709\u6548\u65f6\u95f4";

//tabbedpanelcontrol.js
var label_tab_previous = "< \u4e0a\u4e00\u9875";
var label_tab_next = "\u4e0b\u4e00\u9875 >";
var label_tab_cancel = "\u53d6\u6d88";
var label_tab_finish = "\u5b8c\u6210";

//detectBrowser.js
var browser_not_support = "\u6b64\u5e94\u7528\u7a0b\u5e8f\u4e2d\u4e0d\u652f\u6301\u60a8\u6b63\u5728\u4f7f\u7528\u7684\u6d4f\u89c8\u5668 {0}\u3002";

//treeControl.js
var odcTreeimgExpand = "\u5355\u51fb\u4ee5\u5c55\u5f00";
var odcTreeimgCollapse = "\u5355\u51fb\u4ee5\u6298\u53e0";
var odcTreeimgFolderOpen = "\u6587\u4ef6\u5939\u5df2\u6253\u5f00";
var odcTreeimgFolderNormal = "\u6587\u4ef6\u5939\u5df2\u5173\u95ed";
var odcTreeimgLeaf = "\u6587\u4ef6\u5939";
var odcTreeNoChildErr = "\u8be5\u8282\u70b9\u6ca1\u6709\u53ef\u7528\u7684\u5b50\u4ee3";

//chart draw variables
var chartdraw_lblPie = "\u997c\u56fe";
var chartdraw_lblBar = "\u6761\u5f62\u56fe";
var chartdraw_lblLine = "\u6298\u7ebf\u56fe";
var chartdraw_tooltipShare = "\u5171\u4eab";
var chartdraw_tooltipSeries = "\u7cfb\u5217";
var chartdraw_tooltipLabel = "\u6807\u7b7e";
var chartdraw_tooltipValue = "\u503c";
var chartdraw_msgPieChartError = "\u4e0d\u80fd\u7ed8\u5236\u997c\u56fe\u3002";
var chartdraw_lblShowAll = "\u663e\u793a\u5168\u90e8\u7cfb\u5217";
var chartdraw_lblChartType = "\u56fe\u8868\u7c7b\u578b";
var chartdraw_lblSeries = "\u7cfb\u5217";
var no_data_series = "\u672a\u6307\u5b9a\u6570\u636e\u7cfb\u5217\u3002\u8bf7\u5c06\u81f3\u5c11\u4e00\u4e2a\u6570\u636e\u7cfb\u5217\u6dfb\u52a0\u81f3\u56fe\u3002";
var no_data_atttribute = "\u672a\u6307\u5b9a\u7cfb\u5217 {0} \u7684\u6570\u636e\u5c5e\u6027\u540d\u79f0\u3002\n\u8bf7\u4e3a\u6b64\u7cfb\u5217\u9009\u62e9\u6709\u6548\u7684\u6570\u636e\u5c5e\u6027\u3002";
var no_label_attribute = "\u672a\u6307\u5b9a\u6807\u7b7e\u5c5e\u6027\u3002\n\u8bf7\u9009\u62e9\u6709\u6548\u7684\u6807\u7b7e\u5c5e\u6027\u3002";
var no_group_operation_specified= "\u672a\u5bf9\u7cfb\u5217 \n{0} \u6307\u5b9a\u7ec4\u64cd\u4f5c\u3002";
var invalid_group_operation = "\u5bf9\u7cfb\u5217 {0} \u6307\u5b9a\u7684\u7ec4\u64cd\u4f5c {1} \u65e0\u6548\u3002\n\u5141\u8bb8\u7684\u7ec4\u64cd\u4f5c\u4e3a SUM\u3001AVG\u3001COUNT\u3001MAX\u3001MIN\u3001FIRST \u548c LAST\u3002";
var invalid_label_attribute = "\u6807\u7b7e\u5c5e\u6027\u65e0\u6548\u3002\n\u8bf7\u9009\u62e9\u6709\u6548\u7684\u6807\u7b7e\u5c5e\u6027\u3002";
var invalid_data_atttribute = "\u5bf9\u7cfb\u5217 {0} \u6307\u5b9a\u7684\u6570\u636e\u5c5e\u6027\u540d\u79f0\u65e0\u6548\u3002\n\u8bf7\u4e3a\u6b64\u7cfb\u5217\u9009\u62e9\u6709\u6548\u7684\u6570\u636e\u5c5e\u6027\u3002";
var invalid_series_attribute_data_type = "\u4e3a\u7cfb\u5217 \uff0d {0} \u4e2d\u7684\u5c5e\u6027\u540d\u79f0\u6307\u5b9a\u4e86\u65e0\u6548\u7684\u6570\u636e\u7c7b\u578b\u3002\n\u53ea\u6709\u5c5e\u6027\u503c\u662f\u6570\u5b57\u6216\u65e5\u671f\u65f6\u624d\u80fd\u7ed8\u5236\u56fe\u5f62\u3002";
var null_data_value = "\u7cfb\u5217 \uff0d {0} \u5305\u542b\u4e86\u7a7a\u503c\u3002\n\u53ea\u6709\u5728\u5c5e\u6027\u503c\u6ca1\u6709\u5305\u542b\u4efb\u4f55\u7a7a\u503c\u65f6\uff0c\u6b64\u56fe\u624d\u53ef\u4ee5\u7ed8\u51fa\u3002";
var thousands_str = "\u5343";
var thousands10_str = "\u4e07";
var thousands100_str = "\u5341\u4e07";
var millions_str = "\u767e\u4e07";
var millions10_str = "\u5343\u4e07";
var millions100_str = "\u4ebf";
var billions_str = "\u5341\u4ebf";
var billions10_str = "\u767e\u4ebf";
var billions100_str = "\u5343\u4ebf";

/***** PLEASE DO NOT TRANSLATE THIS -- START *****************/
var Scales = new Array();
Scales = [[100000000000.0, billions100_str] , [10000000000.0, billions10_str] , [1000000000.0, billions_str] , [100000000.0, millions100_str] , [10000000.0, millions10_str],  [1000000.0, millions_str],  [100000.0, thousands100_str] , [10000.0, thousands10_str] , [1000.0, thousands_str] ];
/***** PLEASE DO NOT TRANSLATE THIS -- END ********************/



//mask error variable
var mask_not_matched = "\u5b57\u7b26\u4e32\u7684\u957f\u5ea6\uff0f\u5185\u5bb9\u548c\u5e94\u7528\u5728\u5b83\u4e0a\u9762\u7684\u63a9\u7801\u4e0d\u5339\u914d";

//webservice
var error_mapping_output = "\u6307\u5b9a\u7684\u8f93\u51fa\u53c2\u6570\u6620\u5c04\u8868\u8fbe\u5f0f\u65e0\u6548";
var no_flash_component = "\u672a\u80fd\u627e\u5230\u5fc5\u9700\u7684 Flash \u64ad\u653e\u5668";
var error_mapping_input = "\u6307\u5b9a\u7684\u8f93\u5165\u53c2\u6570\u6620\u5c04\u8868\u8fbe\u5f0f\u65e0\u6548";
var error_accessing_flash = "\u672a\u80fd\u627e\u5230\u5fc5\u9700\u7684 Flash \u64ad\u653e\u5668";

//progressbar
var start_load_model = "\u5f00\u59cb\u88c5\u5165\u6570\u636e\u6a21\u578b {0}";
var end_load_model = "\u7ed3\u675f\u88c5\u5165\u6570\u636e\u6a21\u578b {0}";
var start_load_instance = "\u5f00\u59cb\u4e3a\u6a21\u578b {0} \u88c5\u5165\u5b9e\u4f8b\u6570\u636e";
var end_load_instance = "\u7ed3\u675f\u4e3a\u6a21\u578b {0} \u88c5\u5165\u5b9e\u4f8b\u6570\u636e";
var start_render_control = "\u5f00\u59cb\u5448\u793a\u63a7\u4ef6 {0}";
var end_render_control = "\u7ed3\u675f\u5448\u793a\u63a7\u4ef6 {0}";
var status_string =  "\u72b6\u6001\uff1a";
var progressbar_header = "\u6b63\u5728\u88c5\u5165\u9875\u9762";
var tabbed_panel = "\u9009\u9879\u5361\u5f0f\u9762\u677f";
var datagrid = "\u6570\u636e\u7f51\u683c";
var webservice = "Web Service";
var treeview = "\u6811\u5f62\u89c6\u56fe";
var graphdraw = "\u56fe\u7ed8\u5236";
